/*
 * JBoss, Home of Professional Open Source
 * Copyright 2016, Red Hat Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.as.weld.services.bootstrap;

import javax.xml.ws.WebServiceContext;

import org.jboss.as.weld.spi.ResourceInjectionResolver;
import org.jboss.ws.common.injection.ThreadLocalAwareWebServiceContext;

/**
 *
 * @author Martin Kouba
 */
public class JaxwsResourceInjectionResolver implements ResourceInjectionResolver {

    @Override
    public Object resolve(String resourceName) {
        if (resourceName.equals(WebServiceContext.class.getName())) {
            // horrible hack
            // we don't have anywhere we can look this up
            // See also WFLY-4487
            return ThreadLocalAwareWebServiceContext.getInstance();
        }
        return null;
    }

}
